MOZ-VERSION(1)

NAME
moz-version - version format handling tool

SYNOPSIS
moz-version [options] action

DESCRIPTION
moz-version is a tool for working with version string from the Mozilla suite. It can compare Mozilla versions, convert Mozilla version into Debian upstream version and the other way round.

ACTIONS

-c, --compare version1 comparator version2
    Compare version numbers, where comparator is a binary operator. moz-version returns success (zero result) if the specified condition is satisfied, and failure (non-zero result) otherwise. The comparator must be one of lt le eq ne ge gt.

-d, --to-deb version
    Converts Mozilla version into a Debian upstream version. For a full Debian version you have to add a revision.

-m, --to-moz version
    Converts Debian version into a Mozilla version. The Debian revision and the epoch will be stripped away.

OPTIONS

-h, --help
    Display a brief help message.

-s, --silent
    Do not print anything and die silent on errors.

-v, --verbose
    Print more information.

AUTHOR
Benjamin Drung <bdrung@debian.org>